# -*- encoding: utf-8 -*-
##############################################################################
#
#    Avanzosc - Avanced Open Source Consulting
#    Copyright (C) 2011 - 2012 Avanzosc <http://www.avanzosc.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see http://www.gnu.org/licenses/.
#
##############################################################################


from osv import osv, fields
from tools.translate import _


class stock_picking(osv.osv):
    _description = 'avanzosc picking crm'
    _inherit = 'stock.picking'
    
    _columns = {
        'incidents':fields.one2many('crm.case','stock_picking_id'),    
    }
    
stock_picking()

class res_partner(osv.osv):
    _inherit = 'res.partner'
    
    _columns = {
        'partner_cases':fields.one2many('crm.case','partner_id'),    
    }
    
res_partner()

class crm_case(osv.osv):
    _description = "Case"
    _inherit = 'crm.case'
    
    _columns = {
            'stock_picking_id': fields.many2one('stock.picking'),
            'packing': fields.many2one('stock.picking','Delivery Note'),
            
    }

crm_case()



